summaryrefslogtreecommitdiffstats
path: root/testModule/hooks
diff options
context:
space:
mode:
Diffstat (limited to 'testModule/hooks')
-rwxr-xr-xtestModule/hooks/pre-pivot/mount-tmp.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/testModule/hooks/pre-pivot/mount-tmp.sh b/testModule/hooks/pre-pivot/mount-tmp.sh
index 3fa24cce..3e702064 100755
--- a/testModule/hooks/pre-pivot/mount-tmp.sh
+++ b/testModule/hooks/pre-pivot/mount-tmp.sh
@@ -27,12 +27,14 @@ if [ ! -b "$OPENSLX_TMP_DISK_DEV" ]; then
fi
# all good, keep on
-if ! mount -t auto "$OPENSLX_TMP_DISK_DEV" /sysroot/tmp; then
+if ! mount -t auto "$OPENSLX_TMP_DISK_DEV" $NEWROOT/tmp; then
# something else went wrong :(
- warn "Mounting '$OPENSLX_TMP_DISK_DEV' to '/sysroot/tmp' failed with: $!"
+ warn "Mounting '$OPENSLX_TMP_DISK_DEV' to '$NEWROOT/tmp' failed with: $!"
warn "Systemd will manage $NEWROOT/tmp on its own."
return 1
fi
# still here? mount worked wohoo
+# set permissions
+chmod a+rwxt $NEWROOT/tmp
return 0